(*^

::[paletteColors = 128; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; Cclosed; preserveAspect; startGroup; ]
Lab 3: Surfaces
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Introduction
:[font = text; inactive; preserveAspect; endGroup; ]
In two-dimensional analytic geometry, the simplest curves can be represented as graphs of functions of one variable.  In three-dimensional analytic geometry, the simplest surfaces can be represented as graphs of functions of two variables.  This notebook explores such surfaces.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
The Plot3D Command
:[font = text; inactive; preserveAspect; ]
The Plot3D command is used to draw the graphs of functions of two variables.
;[s]
3:0,0;3,1;11,2;77,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is the graph of the function z = x^2 :
;[s]
3:0,0;33,1;42,2;44,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot3D[ x^2, {x,-2,2}, {y,0,3} ];
:[font = text; inactive; preserveAspect; endGroup; ]
Mathematica knows that the expression x^2 is a function of two variables (x and y) because we used the Plot3D command (instead of the Plot command) and because we have provided ranges for both x and y.  The notation {x,-2,2} means to graph the function for the range  -2 <= x <= 2, and the notation {y,0,3} means to graph the function for the range    0 <= y <= 3.

Notice that the perspective image shows the X-axis at the front bottom of the box running downward to the right.  The Y-axis (through the points where x=z=0)  is not drawn, but it lies in the middle of the bottom of the box running upward to the right.  The Z-axiz (through the points where x=y=0) is also not drawn; it runs upward through the middle of the front of the box.

This surface is a parabolic cylinder.  That is, it is the set of all lines perpendicular to the XZ-plane that pass through the parabola  z = x^2  in that plane.  Fifteen of these parallel lines are actually drawn on the surface.  The parabola also appears fifteen times on the surface.  
;[s]
14:0,0;11,1;37,2;42,3;102,4;110,5;133,6;139,7;215,8;225,9;298,10;307,11;761,12;779,13;1031,-1;
14:1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The next example is only slightly different from the last one.
:[font = input; preserveAspect; ]
Plot3D[ x^2-y^2/10, {x,-2,2}, {y,-2,2} ];
:[font = text; inactive; preserveAspect; endGroup; ]
Here the paralllel lines (in the Y direction) have all been bent a little into parabolic arcs.  The one through the origin has the equation z = y^2 /10.  Notice that we changed the range on y to be the same as the range on x .
;[s]
3:0,0;139,1;151,2;227,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
The third example is like the second, except that now the upside down parabolas (in the Y direction) are more curved.  The one through the origin has the equation z = y^2 .
;[s]
3:0,0;162,1;171,2;173,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; endGroup; ]
Plot3D[ x^2-y^2, {x,-2,2}, {y,-2,2} ];
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
1.  Draw the graph of the surface  z = y^2  for  0 <= x <= 5  and  -2 <= y <= 2 .
:[font = text; inactive; preserveAspect; ]
2.  Draw the graph of  z = y^2 - x^2 /10  for  -2 <= x <= 2  and  -2 <= y <= 2 .
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
3.  Draw the graph of  z = y^2  - x^2  for  -2 <= x <= 2  and  -2 <= y <= 2 .
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Level Curves
:[font = text; inactive; preserveAspect; ]
All of the surfaces drawn above are examples of hyperbolic paraboloids.  (A parabolic cylinder is a special kind of hyperbolic paraboloid.)  They are called "paraboloids" because their vertical cross-sections are parabolas.  They are called "hyperbolic" because their horizontal cross-sections are hyperbolas.  Horizontal cross-sections are also called "level curves" because each is a curve obtained by projecting onto the XY-plane all the points on the surface that are at a given level (i.e. Z-value).  Level curves are often used to produce a two-dimensional representation of a surface.
;[s]
3:0,0;48,1;70,2;592,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; preserveAspect; ]
Mathematica uses the ContourPlot command to draw level curves.
;[s]
4:0,0;11,1;20,2;33,3;62,-1;
4:1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here's the contour plot of the third hyperbolic paraboloid shown in the previous section:
:[font = input; preserveAspect; ]
ContourPlot[ x^2-y^2, {x,-2,2}, {y,-2,2} ];
:[font = text; inactive; preserveAspect; ]
The ContourPlot command produces a topographical map, coloring the high places in lighter shades and the low places in darker shades.  The lines are the level curves.
;[s]
3:0,0;3,1;16,2;166,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; ]
All the curves shown in the above example are hyperbolas.  For example, the level curve at the level  z=1  on the surface would have the equation x^2 - y^2 = 1.  That is the inner-most hyperbola among those that are symmetric about the X-axis.
;[s]
3:0,0;145,1;159,2;243,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here are both the surface (which is a plane) and the family of level curves for the linear function z = 2x - y :
;[s]
3:0,0;99,1;111,2;113,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot3D[ 2x-y, {x,-2,2}, {y,-2,2} ];
ContourPlot[ 2x-y, {x,-2,2}, {y,-2,2} ];
:[font = text; inactive; preserveAspect; endGroup; ]
It should not surprise you that the level curves of a plane are straight lines.
:[font = text; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
When you need to use the same function in more than one command, it is better to define the function explicitly first: 
:[font = input; preserveAspect; ]
f[x_,y_] := -4x/(3+x^2+y^2);
Plot3D[ f[x,y], {x,-8,8}, {y,-8,8} ];
ContourPlot[ f[x,y], {x,-8,8}, {y,-8,8} ];
:[font = text; inactive; preserveAspect; endGroup; ]
Notice that Mathematica has several peculiar requirements for functions:
1.  On the left side of the definition, the variables are written with trailing underlines.
2.  The definition requires the equal sign to be immediately preceded by a colon.
3.  Functions use square brackets  [ ]  instead of parentheses  ( ) .
;[s]
3:0,0;12,1;23,2;317,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
In the last example, both the surface and the level curves were rather jagged.  That is because Mathematica automatically approximates curves and surfaces with line segments and flat (planar) panels, and it uses the default number of 15 in each dimension.  The rendering can be made smoother by means of the PlotPoints option:
;[s]
5:0,0;96,1;107,2;307,3;319,4;327,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot3D[ f[x,y], {x,-8,8}, {y,-8,8}, PlotPoints->32 ];
ContourPlot[ f[x,y], {x,-8,8}, {y,-8,8}, PlotPoints->32 ];
:[font = text; inactive; preserveAspect; endGroup; ]
These two pictures are much smoother because we used more than twice the number of "sampling points" in each dimension.  Of course, the trade-off is that it takes Mathematica longer to draw the pictures.
;[s]
3:0,0;163,1;174,2;204,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; ]
Notice that once the function f is defined, it can be used thoughout your Mathematica session without having to redefine it.
;[s]
5:0,0;29,1;32,2;74,3;85,4;124,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
For each of the following, (a) define the function; (b) draw its graph in the range given; (c) draw its level curves in the same range.  If the picture is not smooth enough, use the PlotPoints option to make it smoother.
:[font = text; inactive; preserveAspect; ]
1.  x^3 - 3x*y^2,  -2 <= x <= 2,  -2 <= y <= 2 .
:[font = text; inactive; preserveAspect; ]
2.  Sin[x^2] + y^2,  -4 <= x <= 4,  -4 <= y <= 4 .
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
3.  Sin[x^2 + y^2],  -3 <= x <= 3,  -3 <= y <= 3 .
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
The Contours Option
;[s]
3:0,0;3,1;13,2;20,-1;
3:1,16,12,Times,1,18,0,0,0;1,14,11,Courier,1,18,0,0,0;1,16,12,Times,1,18,0,0,0;
:[font = text; inactive; preserveAspect; ]
The ContourPlot command has a large number of options that may be used to obtain different results.  One of the most useful is the Contours option.  It can be used to specify precisely which level curves are to be shown.
;[s]
7:0,0;3,1;16,2;130,3;140,4;185,5;190,6;223,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
In this example we use the Contours -> 8 option to obtain 8 level curves:
;[s]
3:0,0;26,1;41,2;73,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
f[x_,y_] := x y Exp[-x^2-y^2];
Plot3D[ f[x,y], {x,-2,2},{ y,-2,2}, PlotPoints -> 32 ];
ContourPlot[ f[x,y], {x,-2,2}, {y,-2,2}, PlotPoints -> 32,
             Contours -> 8];
:[font = text; inactive; preserveAspect; ]
And now here is the same contour plot with 16 level curves:
:[font = input; preserveAspect; endGroup; ]
ContourPlot[ f[x,y], {x,-2,2}, {y,-2,2}, PlotPoints -> 32,
             Contours -> 16];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The Contours option can also be used to specify which level curves are to be displayed.  Simply list the z-values (i.e. the levels) that you want:
;[s]
3:0,0;3,1;13,2;146,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
ContourPlot[ f[x,y], {x,-2,2}, {y,-2,2}, PlotPoints -> 32,
             Contours -> {-0.1,-0.05,0,0.05,0.1,0.15,0.2} ];
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
This shows the horizontal cross-sections at the 7 levels: -0.1, -0.05, 0, 0.05, 0.1, 0.15, 0.2.
;[s]
3:0,0;58,1;94,2;95,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
For each of the following, draw the surface and the contour plot and specific levels.
:[font = text; inactive; preserveAspect; ]
1.  Sin[x + y],  -2Pi <= x <= 2Pi,  -2Pi <= y <= 2Pi .
:[font = text; inactive; preserveAspect; ]
2.  Sin[x] + Sin[y],  -2Pi <= x <= 2Pi,  -2Pi <= y <= 2Pi .
:[font = text; inactive; preserveAspect; ]
3.  (x^2 + 3y^2) / Exp[x^2 + y^2],   -3 <= x <= 3,  -3 <= y <= 3 .
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
4.  Exp[- x*y/(x^2 + y^2)],  -3 <= x <= 3,  -3 <= y <= 3 .
^*)