(*^

::[paletteColors = 128; 
	fontset = title, "Times-Bold", 24, L2, center, bold, nohscroll;
	fontset = subtitle, "Times-Bold", 18, L2, center, bold, nohscroll;
	fontset = subsubtitle, "Times-Bold", 14, L2, center, bold, nohscroll;
	fontset = section, "Times-Bold", 18, L2, bold, nohscroll, grayBox;
	fontset = subsection, "Times-Bold", 14, L2, bold, nohscroll, blackBox;
	fontset = subsubsection, "Times-Bold", 12, L2, bold, nohscroll, whiteBox;
	fontset = text, "Times-Roman", 12, L2, nohscroll;
	fontset = smalltext, "Times-Roman", 10, L2, nohscroll;
	fontset = input, "Courier-Bold", 12, L2, bold, nowordwrap;
	fontset = output, "Courier", 12, L2, nowordwrap;
	fontset = message, "Courier", 12, L2, R21845, G21845, B21845, nowordwrap;
	fontset = print, "Courier", 12, L2, nowordwrap;
	fontset = info, "Courier", 12, L2, nowordwrap;
	fontset = postscript, "Courier", 12, L2, nowordwrap;
	fontset = name, "Times-Italic", 11, L2, italic, R21845, G21845, B21845, nowordwrap, nohscroll;
	fontset = header, "Times", 10, L2;
	fontset = footer, "Times", 12, L2, center;
	fontset = help, "Times-Roman", 14, L2, nohscroll;
	fontset = clipboard, "New York", 12, L2;
	fontset = completions, "Courier", 16, L2, nowordwrap;
	fontset = network, "Courier", 10, L2, nowordwrap;
	fontset = graphlabel, "Courier", 12, L2, nowordwrap;
	fontset = special1, "New York", 12, L2, nowordwrap;
	fontset = special2, "New York", 12, L2, center, nowordwrap;
	fontset = special3, "New York", 12, L2, right, nowordwrap;
	fontset = special4, "New York", 12, L2, nowordwrap;
	fontset = special5, "New York", 12, L2, nowordwrap;]
:[font = title; inactive; startGroup; Cclosed; ]
Lab 5: Applications of the Gradient
:[font = text; inactive; startGroup; Cclosed; ]
The gradient function was introduced in Lab 4.  There we saw that it is the analog of the ordinary derivative of a function of a single variable.  We used it to find the critical points of a function of two variables by solving the equation  grad[f,x,y]==0.
:[font = text; inactive; endGroup; ]
In this lab we study other applications of the gradient function.  Each of these applications is a direct generalization of an application of the ordinary derivative of a function of a single variable. 
:[font = section; inactive; startGroup; Cclosed; ]
The Gradient Function
:[font = text; inactive; startGroup; Cclosed; ]
We begin by defining the gradient function.  As in Lab 4, it is defined as the vector whose components are the partial derivatives of the given funtion f.  However, the applications in this lab will be easier to set up if we use the following alternative definition.
:[font = input; ]
Clear["@*"];
grad[f_][x_,y_] = {D[f[x,y],x],D[f[x,y],y]};
grad[f][x,y]
:[font = text; inactive; endGroup; ]
The only difference between this form and the form grad[f,x,y] that we used in Lab 4 is that this one makes the grad a function of f whose value is another function of x and y.  For all practical purposes, grad[f,x,y] and grad[f][x,y] work the same way; only the notation looks different.
:[font = subsection; inactive; startGroup; Cclosed; ]
Example
:[font = text; inactive; startGroup; Cclosed; ]
The following example is taken from Example 1 on page 666 of Stein:
:[font = input; endGroup; ]
Clear[f];
f[x_,y_] := x^2 y^3; 
f[x,y]
:[font = text; inactive; startGroup; Cclosed; ]
the gradient of this function is a vector with two-component of functions:
:[font = input; endGroup; ]
grad[f][x,y]
:[font = text; inactive; startGroup; Cclosed; ]
The value of the gradient at the point (1,2) is a two-component vector constant:
:[font = input; ]
grad[f][1,2]
:[font = text; inactive; endGroup; endGroup; ]
Recall that Mathematica writes vectors with curly braces { }.
:[font = subsection; inactive; startGroup; Cclosed; noPageBreak; ]
Exercises
:[font = text; inactive; ]
These exercises are from Stein:
:[font = text; inactive; ]
1. {3p.670} Evaluate the gradient of x^2 y at (2,5).
:[font = text; inactive; endGroup; endGroup; ]
2. {4p.670} Evaluate the gradient of 1/Sqrt[x^2+y^2] at (1,2).
:[font = section; inactive; startGroup; Cclosed; pageBreak; ]
The Differential
:[font = text; inactive; startGroup; Cclosed; ]
The differential df of a function f of two variables is itself a function of four variables.  It is defined to be the dot product of the two-component vector grad[f][x,y] and the two-component vector {dx,dy}.  Here dx and dy are independent variables.  This unusual notation is used traditionally because, in practice, dx and dy usually represent very small increments in x and y, respectively.
:[font = input; ]
Clear[f];
d[f_][x_,y_,dx_,dy_] = grad[f][x,y].{dx,dy}; 
d[f][x,y,dx,dy]
:[font = text; inactive; ]
When printed as output, partial derivatives are written with the vector superscript notation.  Thus:        (0,1)                              
                                f         [x,y] means the partial of f with respect to y.
:[font = text; inactive; ]
Notice that we again define the object to be a function of the function f whose value is another function, this time of the four variables x, y, dx, and dy.
:[font = text; inactive; endGroup; ]
Functions like grad and d which transform one function into another are called operators.
:[font = subsection; inactive; startGroup; Cclosed; ]
Example
:[font = text; inactive; startGroup; Cclosed; ]
We continue with the same example as above:
:[font = input; ]
Clear[f];
f[x_,y_] := x^2 y^3;
f[x,y]
:[font = input; ]
d[f][x,y,dx,dy]
:[font = text; inactive; endGroup; ]
Clearly, this is a function of the four variables x, y, dx, and dy.
:[font = text; inactive; startGroup; Cclosed; ]
Here's the value of the function at the point (x,y) = (1,2):
:[font = input; ]
d[f][1,2,dx,dy]
:[font = text; inactive; endGroup; ]
This is a function of the remaining two variables dx and dy.
:[font = text; inactive; startGroup; Cclosed; ]
Now, to appreciate the significance of the differential, we compare the two values of the function f at the nearby points (1,2) and (1.003,2.005):
:[font = input; ]
z0 = f[1,2]
:[font = input; endGroup; ]
z1 = f[1.003,2.005]
:[font = text; inactive; startGroup; Cclosed; ]
The difference betgween these two values is:
:[font = input; endGroup; ]
z1 - z0
:[font = text; inactive; startGroup; Cclosed; ]
This difference will be very nearly the same as the differential at the point (1,2) with increments dx=0.003 and dy=0.005:
:[font = input; ]
d[f][1,2,0.003,0.005]
:[font = text; inactive; endGroup; endGroup; ]
In practice (in the absence of Mathematica), the differential is usually easy to compute.  So it is used to estimate the nearby value of f:  f(x+dx,y+dy) = f(x,y) + df.
:[font = subsection; inactive; startGroup; Cclosed; noPageBreak; ]
Exercises
:[font = text; inactive; ]
These exercises are from Stein.  Compute and compare the change in f with df for the given f, x, y, dx, and dy:
:[font = text; inactive; ]
1. {3p.654} f [x_,y_] := x/y, x=2, y=1, dx=0.1, dy=-0.2.
:[font = text; inactive; endGroup; endGroup; ]
2. {5p.654} f [x_,y_] := x^2 + x*y^2 + y^3, x=1, y=1, dx=0.1, dy=-0.2.
:[font = section; inactive; startGroup; Cclosed; noPageBreak; ]
The Tangent Plane
:[font = text; inactive; ]
The tangent plane for a function of two variables is analogous to the tangent line for a function of one variable.  The tangent line to a function y = f (x) at the point where x=x0 is  y = f (x0) + f '(x0)(x-x0).  The tangent plane to a function z = f (x,y) at the point (x,y)=(x0,y0) is z = f (x0,y0) + grad[f](x0,y0).{x-x0,y-y0}, where the dot is the dot product.  But, as we just saw, that dot product is the differential d[f][x0,y0,x-x0,y-y0]:
:[font = input; ]
Clear[f];
t[f_][x0_,y0_,x_,y_] = f[x0,y0] + d[f][x0,y0,x-x0,y-y0]; 
t[f][x0,y0,x,y]
:[font = text; inactive; ]
This definition shows that the vertical displacement along the tangent plane is simply the differential:

                         t[f_][x0_,y0_,x_,y_] - f[x0,y0] = d[f][x0,y0,x-x0,y-y0]

:[font = text; inactive; ]
Like the differential, the tangent plane function t[f] is a function of four variables: x0, y0, x, and y.
:[font = subsection; inactive; startGroup; Cclosed; ]
Example
:[font = input; startGroup; Cclosed; ]
Clear[f];
f[x_,y_] := x^2 y^3;
f[x,y]
:[font = input; startGroup; Cclosed; ]
t[f][x0,y0,x,y]
:[font = input; ]
t[f][1,2,x,y]
:[font = input; endGroup; ]
Simplify[%]
:[font = text; inactive; startGroup; Cclosed; ]
After simplifying, we can see that this is the equation of a plane.  The vector of coefficients (16,12) is the normal vector to the plane.
:[font = input; ]
grad[f][1,2]
:[font = text; inactive; endGroup; ]
This verifies that the gradient is normal to the surface.
:[font = text; inactive; startGroup; Cclosed; ]
The tangent plane and the function have the same value at (1,2):
:[font = input; ]
t[f][1,2,1,2]
:[font = input; endGroup; endGroup; endGroup; ]
f[1,2]
:[font = subsection; inactive; startGroup; Cclosed; pageBreak; ]
Exercises
:[font = text; inactive; ]
Find (and simplify) the equation of the tangent plane to the graph of the given function at the given point:
:[font = text; inactive; ]
1. f [x_,y_] := x^2 y at (2,5).
:[font = text; inactive; ]
2. f [x_,y_] :=  1/Sqrt[x^2+y^2] at (1,2).
:[font = text; inactive; endGroup; endGroup; ]
3. f [x_,y_] :=  x^2 + x*y^2 + y^3 at (1,1).
:[font = section; inactive; startGroup; Cclosed; pageBreak; ]
The Chain Rule
:[font = text; inactive; startGroup; Cclosed; ]
The Chain Rule says that the derivative of a composite of functions is the product of the derivatives of their component functions.  For functions of a single variable, this is:
:[font = input; ]
Clear[f,g,h,x,y];
D[f[g[x]],x]
:[font = text; inactive; startGroup; Cclosed; ]
Now suppose f is a function of two variables, each of which is itself a function of another variable t.  Then, as above, we replace f ' with grad[f] and use the dot product:

                        D[f [g[t],h[t]] = grad[f][g[t],h[t]] . {g' [t], h'[t]}
:[font = input; endGroup; ]
D[f[g[t],h[t]],t]
:[font = text; inactive; startGroup; Cclosed; ]
This can also be done using the total derivative.  Written Dt, it assumes that every variable is a function of something, thus leaving another Dt form in each term:
:[font = input; ]
Dt[f[x,y]]
:[font = text; inactive; endGroup; endGroup; ]
This is essentially the same as the differential equation:

                                 df [x,y] = f  [x,y] dx  + f  [x,y] dy
                                                   x                    y
:[font = subsection; inactive; startGroup; Cclosed; noPageBreak; ]
Example
:[font = text; inactive; startGroup; Cclosed; ]
Here's the same example that we used above:
:[font = input; endGroup; ]
Clear[f,x,y];
f[x_,y_] := x^2 y^3;
f[x,y]
:[font = text; inactive; startGroup; Cclosed; ]
If we do not first specify how x and y depend upon t, then the total derivative has the usual form of the differential: 
:[font = input; ]
Dt[f[x,y]]
:[font = input; ]
grad[f][x,y]
:[font = input; endGroup; ]
d[f][x,y,dx,dy]
:[font = text; inactive; startGroup; Cclosed; ]
Now select the following functions for x and y;
:[font = input; endGroup; ]
x = 3t^2;
y = t/3;
:[font = text; inactive; startGroup; Cclosed; ]
These make f  a composite function of t:
:[font = input; endGroup; ]
f[x,y]
:[font = text; inactive; startGroup; Cclosed; ]
It's derivative can be obtained by either method:
:[font = input; ]
D[f[x,y],t]
:[font = input; endGroup; endGroup; ]
Dt[f[x,y]]
:[font = subsection; inactive; startGroup; Cclosed; pageBreak; ]
Exercises
:[font = text; inactive; ]
First compute the total derivative Dt [f [x,y]] of the given function and compare it with the differential d[f][x,y,dx,dy].  Then define x and y as indicated (in terms of t) , re-exammine f [x,y], and compute its derivative with both D[f [x,y],t] and Dt [f [x,y]].  Simplify expressions wherever necessary.
:[font = text; inactive; ]
1. f [x_,y_] := x/y;  x = t^3, y = 1+t^4.
:[font = text; inactive; endGroup; endGroup; endGroup; ]
2. f [x_,y_] := x^2 + x*y^2 + y^3;  x = Cos[t], y = Sin[t].
^*)