(*^

::[paletteColors = 128; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; Cclosed; preserveAspect; startGroup; ]
Lab 7: Integration
:[font = text; inactive; preserveAspect; ]
This lab shows how Mathematica evaluates multiple integrals in rectangular and spherical coordinates.  It also shows how the SphericalPlot3D command can be used to graph surfaces in spherical coordinates.
;[s]
4:0,0;19,1;30,2;124,3;328,-1;
4:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
The Integrate Command
:[font = text; inactive; preserveAspect; ]
The Integrate command can be used to evaluate integrals of various types: indefinite integrals, definite integrals, improper integrals, non-elementary integrals, and iterated integrals.
;[s]
3:0,0;3,1;14,2;186,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The simplest version of the Integrate command produces the indefinite integral 
(i.e. an antiderivative).  For example:
;[s]
3:0,0;27,1;38,2;119,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Integrate[ x^2, x ]
:[font = text; inactive; preserveAspect; ]
The output is a function of the variable listed second.
:[font = text; inactive; preserveAspect; endGroup; ]
The x listed second stands for the "dx" in the integral.
;[s]
5:0,0;3,1;6,2;36,3;38,4;57,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
For the definite integral, the isolated x is replaced with a range for x, indicating the bounds on the integral.  For example:
;[s]
5:0,0;39,1;42,2;71,3;72,4;126,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Integrate[ Sin[x], {x,0,Pi} ]
:[font = text; inactive; preserveAspect; endGroup; ]
Here, the variable listed in the range (x in this example) is merely a dummy variable; the output does not depend upon it.
;[s]
3:0,0;40,1;42,2;122,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Improper integrals can be evaluated by Mathematica:
;[s]
3:0,0;39,1;50,2;52,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
Integrate[ Exp[-x^2], {x,-Infinity,Infinity} ]
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is a non-elementary integral:
:[font = input; preserveAspect; ]
Integrate[ Sqrt[1-x^4], {x,0,1} ]
:[font = text; inactive; preserveAspect; endGroup; ]
As the output indicates, there is no (elementary) antiderivative of this function..  It involves the Gamma function, which is itself defined by an integral.
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
However, Mathematica can still give a numerical (approximate decimal) answer:
;[s]
3:0,0;9,1;20,2;78,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Integrate[ Sqrt[1-x^4], {x,0,1} ]  //  N
:[font = text; inactive; preserveAspect; ]
This is done by a method based upon the Trapezoidal Rule.
:[font = text; inactive; preserveAspect; ]
The NIntegrate command does the same thing:
;[s]
3:0,0;3,1;15,2;44,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; endGroup; ]
NIntegrate[ Sqrt[1-x^4], {x,0,1} ]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
Use the Integrate command to evaluate the integrals given in the following exercises from our textbook:
;[s]
3:0,0;7,1;18,2;104,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
1.  Exercise 43 on page 379 of Stein.
:[font = text; inactive; preserveAspect; ]
2.  Exercise 65 on page 379 of Stein.
:[font = text; inactive; preserveAspect; ]
3.  Exercise 77 on page 379 of Stein.
:[font = text; inactive; preserveAspect; ]
4.  Exercise 111 on page 379 of Stein.
:[font = text; inactive; preserveAspect; ]
5.  Exercise 153 on page 380 of Stein.
:[font = text; inactive; preserveAspect; ]
6.  Exercise 3 on page 429 of Stein.
:[font = text; inactive; preserveAspect; ]
7.  Exercise 5 on page 429 of Stein.
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
8.  Exercise 68 on page 431 of Stein.
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Iterated Integrals
:[font = text; inactive; preserveAspect; ]
An iterated integral is a multi-dimensional integral that is evaluated by applying the Fundamental Theorem of Calculus (finding antiderivatives) repeatedly.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Let S be the solid bounded by: 0 < x < 1, 0 < y < 2-x, x+y < z < 4.  Then the volume of the solid is given by the iterated iutegral:
;[s]
15:0,0;4,1;5,2;35,3;37,4;46,5;47,6;52,7;53,8;55,9;56,10;57,11;58,12;61,13;62,14;133,-1;
15:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
vol = Integrate[ Integrate[ Integrate[ 1, {z,x+y,4} ],
                            {y,0,2-x} ], {x,0,1} ]
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Suppose the temperature at the point (x,y,z) in the solid is given by the function:
;[s]
7:0,0;38,1;39,2;40,3;41,4;42,5;43,6;84,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
temp[x_,y_,z_] := 1 + x^2 + y^2 + z^2 - 3x*y*z
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Then the average temperature throughout the solid is:
:[font = input; preserveAspect; endGroup; endGroup; ]
ave = (1/vol) Integrate[ Integrate[
                Integrate[ temp[x,y,z], {z,x+y,4} ],
                        {y,0,2-x} ], {x,0,1} ]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
Use the iterated Integrate command to work the following exercises in our textbook:
;[s]
3:0,0;16,1;27,2;84,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
1.  Exercise 3 on page 705 of Stein.
:[font = text; inactive; preserveAspect; ]
2.  Exercise 23 on page 706 of Stein.
:[font = text; inactive; preserveAspect; ]
3.  Exercise 17 on page 720 of Stein.
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
4.  Exercise 35 on page 722 of Stein.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Graphs in Spherical Coordinates
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Mathematica provides a very useful command for graphing surfaces in spherical coordinates.  It is in the external packaged named ParametricPlot3D located in the Graphics directory of the /NextLibrary/Mathematica/Packages directory.  To load this package into memory, simply execute the command:
;[s]
8:0,0;11,1;128,2;146,3;160,4;170,5;186,6;221,7;295,-1;
8:1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
<<Graphics`ParametricPlot3D`
:[font = text; inactive; preserveAspect; endGroup; ]
Do NOT execute this command more than once.
:[font = subsection; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; preserveAspect; ]
Once the Graphics/ParametricPlot3D package has been loaded, Mathematica will be able to execute the SphericalPlot3D command.  This works like all other Plot commands: list the function whose graph is to be plotted, and then list the ranges on its independent variables.  In the spherical coordinates (r,f,q), f (phi) and q (theta) are usually taken to be the independent variables, and r (rho) is the dependent variable.  So the first thing listed is the value of the function  r = f (f,q).
;[s]
27:0,0;8,1;35,2;60,3;71,4;99,5;116,6;151,7;157,8;301,9;302,10;303,11;304,12;305,13;306,14;309,15;310,16;321,17;322,18;386,19;387,20;478,21;479,22;485,23;486,24;487,25;488,26;491,-1;
27:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Our first example is the unit sphere.  It is the set of all points for which r = 1, so the function to be graphed is the constant function 1:
;[s]
3:0,0;77,1;78,2;141,-1;
3:1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
SphericalPlot3D[ 1, {s,0,Pi}, {t,0,2Pi}];
:[font = text; inactive; preserveAspect; endGroup; ]
Here we have used the full range on the independent variables: 0 to p for f, and 0 to 2 p for q.  (Note that, since Mathematica does not recognize Greek letters, we use s for f and t for q.)
;[s]
19:0,0;68,1;69,2;74,3;75,4;88,5;89,6;94,7;95,8;116,9;127,10;168,11;171,12;175,13;176,14;180,15;183,16;187,17;188,18;190,-1;
19:1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Our second example is the upper "sheet" of the hyperboloid of two sheets, whose equation in rectangular coordinates is  z^2 - x^2 - y^2 = 1, which simplifies to the polar (cylindrical) form:   z^2 - r^2 = 1.  Direct substitution of the polar transformation equations produces:  r^2 cos^2 f - r^2 sin^2 f = 1, which reduces to:  r^2 cos 2f= 1, or:   r^2 = sec 2f.  Then, solving for r results in the function:  Sqrt[sec 2f]:
;[s]
31:0,0;120,1;121,2;126,3;127,4;132,5;133,6;193,7;194,8;199,9;200,10;278,11;279,12;288,13;289,14;292,15;293,16;302,17;303,18;328,19;329,20;337,21;338,22;349,23;350,24;360,25;361,26;382,27;383,28;420,29;421,30;423,-1;
31:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
SphericalPlot3D[ Sqrt[Sec[2s]], {s,0,Pi/6}, {t,0,2Pi} ];
:[font = text; inactive; preserveAspect; endGroup; ]
This isn't a very good perspective.
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
To improve the image, we'll use the ViewPoint option.  We'll specify (in rectangular coordinates) the point (5,3,2) from which the view should be made:
;[s]
3:0,0;35,1;46,2;152,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
SphericalPlot3D[ Sqrt[Sec[2s]], {s,0,0.7}, {t,0,2Pi},
                ViewPoint -> {5,3,2}];
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
Notice that we extended the range on phi from p/6 to 0.7.
;[s]
3:0,0;46,1;47,2;58,-1;
3:1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercise
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
Use the SphericalPlot3D command to graph the circular hyperboloid of one sheet (the nuclear power plant cooling tower) whose equation in rectangular coordinates is
x^2 + y^2 - z^2 = 1.  Restrict phi to the interval p/3 to 2p/3.
;[s]
13:0,0;7,1;24,2;164,3;165,4;170,5;171,6;176,7;177,8;215,9;216,10;223,11;224,12;227,-1;
13:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Integrals in Spherical Coordinates
:[font = text; inactive; preserveAspect; ]
Integration in spherical coordinates requires the Jacobian  r^2 sin f.  After multiplying the integrand (the function to be integrated) by this factor, integration in Mathematica proceeds normally.
;[s]
7:0,0;60,1;61,2;68,3;69,4;167,5;178,6;198,-1;
7:1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Find the center of mass of that part of a sphere that lies above the cone whose half-vertex angle is p/4, assuming that the density of the object is proportional to the distance from the xy-plane.
;[s]
5:0,0;101,1;102,2;187,3;190,4;191,-1;
5:1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,2,12,0,0,0;
:[font = input; preserveAspect; ]
m = Integrate [ r^3 Sin[s] Cos[s], 
                {r,0,1}, {s,0,Pi/4}, {t,0,2Pi} ]
:[font = input; preserveAspect; ]
zm = Integrate [ r^4 Sin[s] Cos[s]^2, 
                 {r,0,1}, {s,0,Pi/4}, {t,0,2Pi} ]
:[font = input; preserveAspect; ]
zm/m  //  Simplify
:[font = input; preserveAspect; ]
N[%]
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
The center of mass is about 69% to the top.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
1.  Find the center of mass of that part of a sphere of uniform density that lies above the
     cone whose half-vertex angle is p/3.  (Take the sphere's radius to be 1.)
;[s]
3:0,0;129,1;130,2;171,-1;
3:1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
2.  Find the center of mass of the same object as in Exercise 1, but assume that the
     object's density is proportional to the square of the distance from the xy-plane.
;[s]
2:0,0;162,1;172,-1;
2:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
3.  Repeat problem 2 but with the spherical cap of the solid removed.
     (Hint: Change the upper bound on r to sec s / 2.)
;[s]
6:0,0;108,1;109,2;117,3;118,4;121,5;122,-1;
6:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
^*)